# Unactuated SC simulation
A simulation of the effect of environmental disturbances on the attitude of the spacecraft. This simulation is used to determine the effects of the disturbances and the passive aerodynamic stabilization structures on attitude.    
To perform correct solar radiation pressure and aerodynamic torque calculations, one must use the 3D model of their satellite. Said 3D model must be in `.obj` form and it must be included in the `Model/` directory of 42. The .obj used for the present simulation is included in the repository.  
Moreover, the TLE or orbit data as well as the launch date (found in the `Orb_PASMA.txt`-`TLE.txt` and `Inp_Sim.txt` files respectively) must be tuned before running the simulation.